ProyectoCrm/src/app/Modulos/ArticuloModulo/Paginas/fw-articulo/fw-articulo.page.html

<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
  <h5>{{ tTitulo }}</h5>
  <div class="btn-toolbar mb-2 mb-md-0">
    <div class="btn-group mr-2">
      <button class="btn" type="button" [ngClass]="{'btn-secondary':tNuevo==false, 'btn-outline-secondary':tNuevo==true}"><i class="fas fa-edit"></i></button>
      <button class="btn" type="button" [ngClass]="{'btn-secondary':tNuevo==true, 'btn-outline-secondary':tNuevo==false}" (click)="Nuevo()"><i class="fas fa-plus"></i></button>
    </div>
  </div>
</div>
<div class="row">
  <div class="col-12">
    <div class="form-row">
      <div class="form-group col-12">
        <app-fw-articulo-cabecera [(Articulo)]="tArticuloActual" [BloquearBuscar]="tBloquearBuscar" [Editar]="tEditar" (Buscar)="BuscarArticulo($event)" (AbrirModal)="AbrirModalArticulos()"></app-fw-articulo-cabecera>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <ul class="nav nav-tabs" role="tablist">
          <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#Informacion" role="tab" aria-controls="Informacion" aria-selected="true" id="Informacion-tab">Información</a></li>
          <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Clasificacion" role="tab" aria-controls="Clasificacion" aria-selected="true" id="Clasificacion-tab">Clasificación</a></li>
          <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Imagenes" role="tab" aria-controls="Imagenes" aria-selected="true" id="Imagenes-tab">Imagenes</a></li>
        </ul>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <div class="tab-content" id="mvDatos">
          <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="Informacion-tab" id="Informacion">
            <app-fw-articulo-detalles-informacion #DetallesInfo="" [(Articulo)]="tArticuloActual" [Empresa]="tEmpresaActual" [Vprecio1]="tVprecio1" [Vprecio2]="tVprecio2" [Vprecio3]="tVprecio3" [VprecioLista]="tVprecioLista" [Tipos]="tTipos" [Unidades]="tUnidades" [Colores]="tColores" id="DetallesInfo"></app-fw-articulo-detalles-informacion>
          </div>
          <div class="tab-pane fade" role="tabpanel" aria-labelledby="Clasificacion-tab" id="Clasificacion">
            <app-fw-articulo-detalles-clasificacion #DetallesClas="" [(Articulo)]="tArticuloActual" [Clasificaciones1]="tClasificaciones1" [Fabricantes]="tFabricantes" id="DetallesClas"></app-fw-articulo-detalles-clasificacion>
          </div>
          <div class="tab-pane fade" role="tabpanel" aria-labelledby="Imagenes-tab" id="Imagenes">
            <app-fw-articulo-detalles-imagenes [(Imagenes)]="tArticuloActual.LImagenes" [(ManejarImagen)]="tManejarImagen" [Tipos]="tTiposImagenes" [Configuracion]="tConfiguracion" (CargarImagen)="CargarImagenes($event)" (EliminarImagen)="EliminarImagenes($event)"></app-fw-articulo-detalles-imagenes>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 d-flex justify-content-end">
        <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups">
          <div class="btn-group mr-1" role="group">
            <button class="btn btn-secondary btn-icon-split" type="button" (click)="Cancelar()"><span class="icon text-white-50"><i class="fas fa-times"></i></span><span class="text">Cancelar</span></button>
          </div>
          <div class="btn-group mr-1" role="group">
            <button class="btn btn-danger btn-icon-split" type="button" (click)="Eliminar()" [disabled]="!tHabilitarEliminar"><span class="icon text-white-50"><i class="fas fa-trash-alt"></i></span><span class="text">Eliminar</span></button>
          </div>
          <div class="btn-group mr-1" role="group">
            <button class="btn btn-primary btn-icon-split" type="button" (click)="Agregar()" [disabled]="!tHabilitarGuardar"><span class="icon text-white-50"><i class="fas fa-save"></i></span><span class="text">Guardar</span></button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

ProyectoCrm/src/app/Modulos/ArticuloModulo/Paginas/fw-articulo/fw-articulo.page.pug
extend ../../../../ComponentesPug/FormulariosSinListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"

block contenido
  div.form-row
    div.form-group.col-12
      app-fw-articulo-cabecera([(Articulo)]="tArticuloActual",
                              [BloquearBuscar]="tBloquearBuscar",
                              [Editar]="tEditar",
                              (Buscar)="BuscarArticulo($event)",
                              (AbrirModal)="AbrirModalArticulos()")
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
              href="#Informacion",
              role="tab",
              aria-controls="Informacion",
              aria-selected="true")#Informacion-tab.nav-link.active Información
        li.nav-item
          a(data-toggle="tab",
              href="#Clasificacion",
              role="tab",
              aria-controls="Clasificacion",
              aria-selected="true")#Clasificacion-tab.nav-link Clasificación
        li.nav-item
          a(data-toggle="tab",
              href="#Imagenes",
              role="tab",
              aria-controls="Imagenes",
              aria-selected="true")#Imagenes-tab.nav-link Imagenes
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Informacion-tab").tab-pane.fade.show.active#Informacion
          app-fw-articulo-detalles-informacion(#DetallesInfo="",
                                                [(Articulo)]="tArticuloActual",
                                                [Empresa]="tEmpresaActual",
                                                [Vprecio1]="tVprecio1",
                                                [Vprecio2]="tVprecio2",
                                                [Vprecio3]="tVprecio3",
                                                [VprecioLista]="tVprecioLista",
                                                [Tipos]="tTipos",
                                                [Unidades]="tUnidades",
                                                [Colores]="tColores")#DetallesInfo
        div(role="tabpanel", aria-labelledby="Clasificacion-tab").tab-pane.fade#Clasificacion
          app-fw-articulo-detalles-clasificacion(#DetallesClas="",
                                                [(Articulo)]="tArticuloActual",
                                                [Clasificaciones1]="tClasificaciones1",
                                                [Fabricantes]="tFabricantes")#DetallesClas
        div(role="tabpanel", aria-labelledby="Imagenes-tab").tab-pane.fade#Imagenes
          app-fw-articulo-detalles-imagenes([(Imagenes)]="tArticuloActual.LImagenes",
                                            [(ManejarImagen)]="tManejarImagen",
                                            [Tipos]="tTiposImagenes",
                                            [Configuracion]="tConfiguracion",
                                            (CargarImagen)="CargarImagenes($event)",
                                            (EliminarImagen)="EliminarImagenes($event)")
  div.form-row
    div.form-group.col-12.d-flex.justify-content-end
      div(role="toolbar",
          aria-label="Toolbar with button groups").btn-toolbar
        div(role="group").btn-group.mr-1
          button(type="button", (click)="Cancelar()").btn.btn-secondary.btn-icon-split
            span.icon.text-white-50
              i.fas.fa-times
            span.text Cancelar
        div(role="group").btn-group.mr-1
          button(type="button", (click)="Eliminar()", [disabled]="!tHabilitarEliminar").btn.btn-danger.btn-icon-split
            span.icon.text-white-50
              i.fas.fa-trash-alt
            span.text Eliminar
        div(role="group").btn-group.mr-1
          button(type="button", (click)="Agregar()", [disabled]="!tHabilitarGuardar").btn.btn-primary.btn-icon-split
            span.icon.text-white-50
              i.fas.fa-save
            span.text Guardar
